a, p {
  font-family: Roboto,Noto,sans-serif;
  -webkit-font-smoothing: antialiased;
  text-rendering: optimizeLegibility;
  font-size: .8em;
}

a {
  display: block;
  text-decoration: none;
  color: black;
  padding-top: 5px;
  padding-bottom: 5px;
}

p {
  &[closed] {
    iron-icon {
      height: 20px;
      transform: rotate(0deg);
    }
  }
  &[open] {
    iron-icon {
      height: 20px;
      transform: rotate(90deg);
    }
  }
  iron-icon {
    transition: transform 400ms;
    margin-right: 1em;
    --iron-icon-fill-color: var(--primary-color-light-30);
  }
  span[warning] {
    color: red;
    padding-left: 10px;
  }
  font-weight: bold;
  border-top: 1px solid #E0E0E0;
  margin:0;
  padding-top: 10px;
  padding-bottom: 10px;
}
:host([closed]) > #container {
  max-height: 0;
  opacity: 0;
  pointer-events: none;
  cursor: default;
}
#container {
  max-height: 1000px;
  opacity: 1;
  // transform: scaleY(1);
  transition: max-height .5s ease-out, opacity .3s ease-in-out;
  & > a:last-child {
    padding-bottom: 10px;
  }
}

@for $i from 0 through 4 {
    :host([recursion-level="#{$i}"]) {
      p, a {
        padding-left: 16px * ($i + 1);
      }
    }
}
